#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	java		# BD-Java
#
Summary:	Library to access Blu-Ray disks for video playback
Summary(pl.UTF-8):	Biblioteka dostępu do dysków Blu-Ray w celu odtwarzania filmów
Name:		libbluray
Version:	0.4.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	ftp://ftp.videolan.org/pub/videolan/libbluray/last/%{name}-%{version}.tar.bz2
# Source0-md5:	c7a1cc71cb9747f93122ec650d4ae933
URL:		http://www.videolan.org/developers/libbluray.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	freetype-devel >= 2
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.0
BuildRequires:	pkgconfig
Requires:	libxml2 >= 1:2.6.0
%if %{with java}
BuildRequires:	ant
BuildRequires:	jdk
Provides:	%{name}(jvm) = %{version}-%{release}
Suggests:	%{name}-java = %{version}-%{release}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is aiming to provide a full portable free open source
bluray library, which can be plugged into popular media players to
allow full bluray navigation and playback on Linux. It will eventually
be compatible with all current titles, and will be easily portable and
embeddable in standard players such as mplayer and vlc.

%description -l pl
Ten pakiet ma w zamierzeniu dostarczać w pełni przenośną,
wolnodostępną i mającą otwarte źródła biblioteką bluray, dającą się
wykorzystać w popularnych odtwarzaczach multimedialnych w celu
pełnej nawigacji i odtwarzania filmów pod Linuksem. Ostatecznie
powinna być kompatybilna ze wszystkimi bieżącymi tytułami, łatwo
przenośna i dająca się wbudować w standardowe odtwarzacze, takie jak
mplayer czy vlc.

%package devel
Summary:	Header files for libbluray library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbluray
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libbluray library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbluray.

%package static
Summary:	Static libbluray library
Summary(pl.UTF-8):	Statyczna biblioteka libbluray
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbluray library.

%description static -l pl.UTF-8
Statyczna biblioteka libbluray.

%package java
Summary:	BD-Java support classes for libbluray
Summary(pl.UTF-8):	Klasy obsługujące BD-Java dla libbluray
Group:		Libraries/Java
Requires:	%{name}(jvm) = %{version}-%{release}
Requires:	jre

%description java
BD-Java support classes for libbluray.

%description java -l pl.UTF-8
Klasy obsługujące BD-Java dla libbluray.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_java:JDK_HOME=%{_jvmdir}/java} \
	%{?with_java:--enable-bdjava} \
	%{__enable_disable static_libs static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	jardir=%{_prefix}/lib/libbluray

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt
%attr(755,root,root) %{_bindir}/bd_info
%attr(755,root,root) %{_libdir}/libbluray.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbluray.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbluray.so
%{_includedir}/libbluray
%{_pkgconfigdir}/libbluray.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbluray.a
%endif

%if %{with java}
# NOTE: it's Java package loaded by libbluray itself, not Java API to libbluray
# thus -java instead of java- namespace.
%files java
%defattr(644,root,root,755)
%dir %{_prefix}/lib/libbluray
%{_prefix}/lib/libbluray/libbluray.jar
%endif
%changelog
* Tue Oct 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbluray.git;a=log;h=master

* Tue Oct 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 70fa2b1
- updated to 0.4.0
- removed obsolete missing patch

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 700ca5c
- updated to 0.3.0
- added missing patch (missing files from libbluray git)

* Fri Jun 21 2013 Marcin Krol <hawk@tld-linux.org> af9dcaf
- typo in provides, release 2

* Thu Aug 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 5198f81
- build BD-Java by default
- package ChangeLog

* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6f1a947
- updated to 0.2.2

* Thu Mar 15 2012 Jakub Bogusz <qboosh@pld-linux.org> fe369f9
- pl

* Sun Mar 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f16469b
- new

